Bug 123096

Summary: Report error if unknown class template is used in the message receiver generation.
Product: WebKit Reporter: Tamas Gergely <tgergely.u-szeged>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: andersca, aroben, benjamin, commit-queue, darin, galpeter, kling, ossy
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Report error instead of producing backtrace.
none
Report error instead of producing backtrace (update). none

Description Tamas Gergely 2013-10-21 07:53:25 PDT
When processing the .messages.in files the generate-message-receiver.py will exit with a backtrace if an unknown class template is used in the input file. We should fix this and report an error instead.
Comment 1 Tamas Gergely 2013-10-21 08:01:39 PDT
Created attachment 214740 [details]
Report error instead of producing backtrace.
Comment 2 Tamas Gergely 2013-11-06 00:12:19 PST
Created attachment 216144 [details]
Report error instead of producing backtrace (update).
Comment 3 Csaba Osztrogon√°c 2013-11-06 08:25:37 PST
LGTM, but it needs a WK2 owner review.
Comment 4 WebKit Commit Bot 2013-11-07 12:17:15 PST
Comment on attachment 216144 [details]
Report error instead of producing backtrace (update).

Clearing flags on attachment: 216144

Committed r158863: <http://trac.webkit.org/changeset/158863>
Comment 5 WebKit Commit Bot 2013-11-07 12:17:18 PST
All reviewed patches have been landed.  Closing bug.